---
title: 'Feature-Policy: screen-wake-lock'
slug: Web/HTTP/Headers/Feature-Policy/screen-wake-lock
---
<p>{{HTTPSidebar}} {{SeeCompatTable}}</p>

<div class="hidden">
<p><strong>Note:</strong> This API is still actively being developed and available only behind a flag on select browsers and platforms.</p>
</div>

<p><span class="seoSummary">The HTTP {{HTTPHeader("Feature-Policy")}} header <strong><code>screen-wake-lock</code></strong> directive controls whether the current document is allowed to use <a href="/en-US/docs/Web/API/Screen_Wake_Lock_API">Screen Wake Lock API</a> to indicate that device should not dim or turn off the screen.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> In earlier specification drafts this directive was called {{HTTPHeader("Feature-Policy/wake-lock","wake-lock")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="notranslate">Feature-Policy: screen-wake-lock &lt;allowlist&gt;;</pre>

<dl>
 <dt>&lt;allowlist&gt;</dt>
 <dd>{{page('Web/HTTP/Feature_Policy/Using_Feature_Policy', 'allowlist')}}</dd>
</dl>

<h2 id="Default_policy">Default policy</h2>

<p>Default allow list for <code>screen-wake-lock</code> is <code>'self'</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Feature Policy')}}</td>
   <td>{{Spec2('Feature Policy')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/screen-wake-lock/#the-screen-wake-lock-powerful-feature">Screen Wake Lock API</a></td>
   <td>Editor's Draft</td>
   <td>Initial definition of <code>screen-wake-lock</code> feature directive.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("http.headers.Feature-Policy.screen-wake-lock")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Screen_Wake_Lock_API">Screen Wake Lock API</a></li>
 <li>{{HTTPHeader('Feature-Policy')}} header</li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy">Feature Policy</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Feature_Policy/Using_Feature_Policy">Using Feature Policy</a></li>
 <li><a href="https://www.w3.org/TR/wake-lock/#wake-locks">Default value of the allow list</a></li>
</ul>
